Lavalite package that provides role management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `project/role`.

    "project/role": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Project\Role\Providers\RoleServiceProvider::class,

And also add it to alias

    'Role'  => Project\Role\Facades\Role::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Project\\RoleTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Project\Role\Providers\RoleServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Project\Role\Providers\RoleServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Project\Role\Providers\RoleServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/role/{modulename}

**User**

    http://path-to-route-folder/user/role/{modulename}

**Public**

    http://path-to-route-folder/roles


### API endpoints

**List**

    http://path-to-route-folder/api/user/role/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/role/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/role/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/role/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/role/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/role/{modulename}/{slug}
    METHOD: GET