<?php

namespace Project\Role\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Workflow policy
        'Project\Role\Models\Workflow' => \Project\Role\Policies\WorkflowPolicy::class,// Bind Role policy
        'Project\Role\Models\Role' => \Project\Role\Policies\RolePolicy::class,// Bind Permission policy
        'Project\Role\Models\Permission' => \Project\Role\Policies\PermissionPolicy::class,// Bind Label policy
        'Project\Role\Models\Label' => \Project\Role\Policies\LabelPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
