<?php

namespace Project\Role\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LabelTransformer extends TransformerAbstract
{
    public function transform(\Project\Role\Models\Label $label)
    {
        return [
            'id'                => $label->getRouteKey(),
            'key'               => [
                'public'    => $label->getPublicKey(),
                'route'     => $label->getRouteKey(),
            ], 
            'type'              => $label->type,
            'name'              => $label->name,
            'slug'              => $label->slug,
            'created_by'        => $label->created_by,
            'deleted_at'        => $label->deleted_at,
            'url'               => [
                'public'    => trans_url('role/'.$label->getPublicKey()),
                'user'      => guard_url('role/label/'.$label->getRouteKey()),
            ], 
            'status'            => trans('app.'.$label->status),
            'created_at'        => format_date($label->created_at),
            'updated_at'        => format_date($label->updated_at),
        ];
    }
}