<?php

namespace Project\Role\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class WorkflowTransformer extends TransformerAbstract
{
    public function transform(\Project\Role\Models\Workflow $workflow)
    {
        return [
            'id'                => $workflow->getRouteKey(),
            'key'               => [
                'public'    => $workflow->getPublicKey(),
                'route'     => $workflow->getRouteKey(),
            ], 
            'name'              => $workflow->name,
            'start_stage'       => $workflow->start_stage,
            'end_stage'         => $workflow->end_stage,
            'stages'            => $workflow->stages,
            'transissions'      => $workflow->transissions,
            'user_id'           => $workflow->user_id,
            'deleted_at'        => $workflow->deleted_at,
            'url'               => [
                'public'    => trans_url('role/'.$workflow->getPublicKey()),
                'user'      => guard_url('role/workflow/'.$workflow->getRouteKey()),
            ], 
            'status'            => trans('app.'.$workflow->status),
            'created_at'        => format_date($workflow->created_at),
            'updated_at'        => format_date($workflow->updated_at),
        ];
    }
}